aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorYong-iL Joh <yong-il.joh@windriver.com>2017-09-06 18:15:08 +0900
committerYong-iL Joh <yong-il.joh@windriver.com>2017-09-06 18:15:08 +0900
commitfeb137bb21148c06870aa9b8d5a95937f3ccaaae (patch)
tree00afbdecb2b6e017050a226dfd86b362f50152ff
parent8b463446a48df72331ba38c040404bd78f522e95 (diff)
downloadmeta-ivi-feb137bb21148c06870aa9b8d5a95937f3ccaaae.tar.gz
meta-ivi-feb137bb21148c06870aa9b8d5a95937f3ccaaae.tar.bz2
meta-ivi-feb137bb21148c06870aa9b8d5a95937f3ccaaae.zip
scripts/checkout: support Go.Cd server
Signed-off-by: Yong-iL Joh <yong-il.joh@windriver.com>
-rwxr-xr-xscripts/checkout10
-rwxr-xr-xscripts/checkout_layer_hash.sh3
2 files changed, 11 insertions, 2 deletions
diff --git a/scripts/checkout b/scripts/checkout
index 17e9a2d..c0652a6 100755
--- a/scripts/checkout
+++ b/scripts/checkout
@@ -4,10 +4,10 @@
export LANG=C
MYDIR=$(dirname "$0")
+cur_dir=`pwd`
update_git() {
_git=$1
- _cur_dir=`pwd`
if [ -d ../${_git} ]; then
cd ../${_git}
_null=`git status >& /dev/null`
@@ -15,7 +15,7 @@ update_git() {
if [ $_r -eq 0 ]; then
git checkout master >& /dev/null
git pull >& /dev/null
- cd ${_cur_dir}
+ cd ${cur_dir}
else
echo "fatal: Not a git repository"
exit 2
@@ -26,9 +26,15 @@ update_git() {
fi
}
+if [ ! -d ../poky ]; then
+ echo "there is no poky layers on $PWD/.."
+ exit 1
+fi
update_git poky
$MYDIR/checkout_layer_hash.sh poky
update_git meta-openembedded
$MYDIR/checkout_layer_hash.sh meta-openembedded
+if [ -d ../meta-gplv2 ]; then
update_git meta-gplv2
$MYDIR/checkout_layer_hash.sh meta-gplv2
+fi
diff --git a/scripts/checkout_layer_hash.sh b/scripts/checkout_layer_hash.sh
index 93299d8..996a2ec 100755
--- a/scripts/checkout_layer_hash.sh
+++ b/scripts/checkout_layer_hash.sh
@@ -7,6 +7,9 @@
# revision, branch name, or sub layer name can be extracted
README=README.md
+if [ "x${META_IVI_HOME}" != "x" ]; then
+ README=${META_IVI_HOME}/README.md
+fi
DEBUG=false